For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList integrations
      • POSTReserve a new integration
      • GETList integrations by category
      • GETGet integration credential status
      • POSTInstall Slack integration
      • POSTRotate Slack credentials
      • POSTInstall Telegram integration
      • GETCheck managed Telegram bot availability
      • POSTInitiate managed Telegram bot creation
      • POSTRotate managed Telegram bot token
      • DELCancel managed Telegram bot request
      • POSTConfirm managed Telegram bot rename
      • POSTReject managed Telegram bot rename
      • GETGet managed Telegram bot request status
      • GETList configured integration tools
      • GETList Vectorize configurations
      • POSTCreate Vectorize configuration
      • POSTCreate Vectorize index
      • POSTList Vectorize indexes
      • POSTTest new Vectorize configuration
      • GETGet Vectorize configuration
      • PUTUpdate Vectorize configuration
      • DELDelete Vectorize configuration
      • POSTTest saved Vectorize configuration
      • GETList Weaviate configurations
      • POSTCreate Weaviate configuration
      • POSTTest new Weaviate configuration
      • GETGet Weaviate configuration
      • PUTUpdate Weaviate configuration
      • DELDelete Weaviate configuration
      • POSTList Weaviate collections
      • POSTTest Weaviate connection
      • GETGet integration details
      • POSTSave integration credentials
      • DELDelete integration credentials
      • GETList tools for an integration
      • GETGet an integration tool
Dashboard
LogoLogo
Runtype APIIntegrations

Create Weaviate configuration

POST
/v1/integrations/weaviate
POST
/v1/integrations/weaviate
$curl -X POST https://api.runtype.com/v1/integrations/weaviate \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "apiKey": "wv-your-api-key-here",
> "name": "Production Weaviate",
> "url": "https://my-cluster.weaviate.network",
> "headers": {},
> "settings": {
> "defaultClass": "Documents",
> "generativeModule": "generative-openai",
> "vectorizer": "text2vec-openai"
> }
>}'
1{
2 "weaviateConfig": {
3 "id": "string",
4 "name": "string",
5 "url": "string",
6 "headers": {},
7 "settings": {
8 "defaultClass": "string",
9 "generativeModule": "string",
10 "vectorizer": "string"
11 }
12 }
13}
Create a new Weaviate configuration.
Was this page helpful?
Previous

Test new Weaviate configuration

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Request

This endpoint expects an object.
apiKeystringRequired>=1 character
namestringRequired1-100 characters
urlstringRequiredformat: "uri"
headersmap from strings to stringsOptional
settingsobjectOptional

Response

Created Weaviate configuration
weaviateConfigobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error